com.thinkaurelius.titan.graphdb.types.system

## Class BaseRelationType

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.system.EmptyVertex
  - - com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType
    - - com.thinkaurelius.titan.graphdb.types.system.BaseRelationType

- All Implemented Interfaces:
    Idfiable, Namifiable, RelationType, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, InternalElement, InternalRelationType, InternalVertex, SystemRelationType, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex
  Direct Known Subclasses:
    BaseKey, BaseLabel

      public abstract class BaseRelationType
      extends EmptyRelationType
      implements SystemRelationType

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsistencyModifier` | `getConsistencyModifier()`
    `long` | `getLongId()` Unique identifier for this entity.
    `String` | `getName()` Returns the unique name of this entity.
    `boolean` | `hasId()` Checks whether this entity has a unique identifier.
    `boolean` | `isHiddenType()`
    `void` | `setId(long id)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType

      `getBaseType, getKeyIndexes, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL, isHidden`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, addRelation, getAddedRelations, getEdgeCount, getEdges, getEdges, getId, getLabel, getLifeCycle, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, isConnected, isLoaded, isModified, isNew, isRemoved, it, loadRelations, query, remove, removeProperty, removeProperty, removeRelation, setProperty, setProperty, tx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getBaseType, getKeyIndexes, getMultiplicity, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL, isUnidirected`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.RelationType

      `isEdgeLabel, isPropertyKey`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, tx`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getProperty, getProperty, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Namifiable`
      Returns the unique name of this entity.
      Specified by:
        `getName` in interface `Namifiable`
      Returns:
        Name of this entity.

    - #### getLongId

          public long getLongId()

      Description copied from interface: `TitanElement`
      Unique identifier for this entity. This id can be temporarily assigned and might change. Use `TitanElement.getId()` for the permanent id.
      Specified by:
        `getLongId` in interface `Idfiable`
      Specified by:
        `getLongId` in interface `TitanElement`
      Overrides:
        `getLongId` in class `EmptyVertex`
      Returns:
        Unique long id

    - #### hasId

          public boolean hasId()

      Description copied from interface: `TitanElement`
      Checks whether this entity has a unique identifier.

      Note that some entities may never be assigned an identifier and others will only be assigned an identifier at the end of a transaction.
      Specified by:
        `hasId` in interface `TitanElement`
      Overrides:
        `hasId` in class `EmptyVertex`
      Returns:
        true if this entity has been assigned a unique id, else false
      See Also:
        `TitanElement.getLongId()`

    - #### setId

          public void setId(long id)

      Specified by:
        `setId` in interface `InternalElement`
      Overrides:
        `setId` in class `EmptyVertex`

    - #### getConsistencyModifier

          public ConsistencyModifier getConsistencyModifier()

      Specified by:
        `getConsistencyModifier` in interface `InternalRelationType`

    - #### isHiddenType

          public boolean isHiddenType()

      Specified by:
        `isHiddenType` in interface `InternalRelationType`

Copyright © 2012–2014. All rights reserved.